# topikm6-topsys

[![pipeline status](http://gitlab.topibd.net/topikm6/topikm6-topsys/badges/master/pipeline.svg)](http://gitlab.topibd.net/topikm6/topikm6-topsys/commits/master)
[![pipeline status](http://gitlab.topibd.net/topikm6/topikm6-topsys/badges/develop/pipeline.svg)](http://gitlab.topibd.net/topikm6/topikm6-topsys/commits/develop)


## 1. 项目描述
- 项目简介
系统设置模组
- 模块列表

| 中文模块名 | 英文模块名         | URL                      | Class                 |
| ---------- | ------------------ | ------------------------ | --------------------- |
| 用户管理   | User Management    | SYS-USER-MGT             | SysUserMgt            |
| 角色管理   | Role Management    | SYS-ROLE-MGT             | SysRoleMgt            |
| 联系人管理 | Contact Management | SYS-CONTACT-MGT          | SysContactMgt         |
| 通讯组管理 | Contact Group      | SYS-COMMU-GROUP-MGT      | SysCommuGroupMgt      |
| 模块配置   | Module Setting     | SYS-MODULE-CONF-MGT      | SysModuleConfMgt      |
| 配置管理   | Config Management  | SYS-CONFIG-MGT           | SysConfigMgtV2        |
| 宏控制台   | Macro Console      | SYS-MACRO-CONSOLE        | SysMacroConsole       |
| 后台日志   | Log Console        | SYS-LOG-CONSOLE          | SysLogConsole         |
| 图表开发者 | Chart Developer    | SYS-CHART-DEVELOPER-MGT  | SysChartDeveloperMgt  |
| 图表导航   | Chart Navigation   | SYS-CHART-NAVIGATION-MGT | SysChartNavigationMgt |
| 枚举管理   | Enum Management    | SYS-ENUM-LIST-MGT        | SysEnumListMgt        |

## 2. 环境搭建

- Qt 5.6.3
- Visual Studio 2015
- sincpm

## 3.编译和运行

1. 双击sincpm-update.bat，自动下载库文件到dist目录；
2. 使用Qt Creator打开./src/class/xxx.pro，左下角选择构建：Debug，运行：main；
3. 项目 -> 运行 命令行参数：-u admin -p admin -P module_name，指定用户名、密码、打开的模块；
4. 执行qmake，会自动将 class/misc/topikm.cfg 拷贝到 /dist/topikm/config/topikm.cfg；
5. 运行；

##  4. 开发

- 编码风格指南：https://toplinker.yuque.com/sar5up/hvqucf/tg4gb6
- TopIKM框架使用：https://toplinker.yuque.com/sar5up/hvqucf
- TopIKM6接口文档：http://139.196.104.13:8888

## 5. 发布和部署

- 参考发布文档：https://toplinker.yuque.com/sar5up/hvqucf/mqemgz

## 6. 项目文档

## 7. 参考文档

## 8. 常见问题