﻿#ifndef SYSUSERV2_H
#define SYSUSERV2_H

#include <topcore/topclassabs.h>

class QHBoxLayout;
class TUiLoader;

class SysUserV2 : public TopClassAbs
{
    Q_OBJECT
public:
    explicit SysUserV2(const QString &iModuleNameStr = QString(""),
                     const QVariantMap &iUrlPars = QVariantMap(),
                     QWidget *iParent = nullptr);
    ~SysUserV2();
public slots:
    void setData(const QVariantMap &iDataMap);
    void create();
    QVariantMap getData() const;
    void saveData();
    void reload();
    void clearData();
protected:
    void uidChangeEvent(const QString &iUidStr);
private:
    TUiLoader *mUiLoader = nullptr;
    QHBoxLayout *hboxlayout = nullptr;
    QStringList mProductCategoryLst;
};

#endif // SYSUSERV2_H
