function func(self) {
    return {
        type: 'FormGridLayout',
        child: [
            {
                name: 'username',  
                type: 'LineEdit',
                pack: { label: self.ttr("Login Name") },
                property: {
                    user_data: { field_name: "username", operator: "like" }
                }
            },
            {
                name: 'fullname',
                type: 'LineEdit',
                pack: { label: self.ttr("Full Name") },
                property: {
                    searchable: false,
                    user_data: { field_name: "fullname", operator: 'LIKE' }
                }
            },
            {
                name: 'staffid',
                type: 'LineEdit',
                pack: { label: self.ttr("Staff ID") },
                property: {
                    user_data: { field_name: "staffid", operator: "like" }
                }
            },
            {
                name: 'status',
                type: 'ComboBox',
                pack: { label: self.ttr("Status")  },
                property: {
                    searchable: true,
                    item_list: TOPENM.enumList("sys-user-status").toComboList(),
                    user_data: { field_name: "status" }
                }
            }
        ]
    };
}
